> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Agent Configuration

> Update comprehensive agent configuration.



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json put /unified/agents/{agent_id}/config
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /unified/agents/{agent_id}/config:
    put:
      tags:
        - unified-agent-config
        - unified-agent-config
      summary: Update Agent Configuration
      description: Update comprehensive agent configuration.
      operationId: update_agent_configuration_unified_agents__agent_id__config_put
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/app__controllers__unified_agent_config__AgentConfigUpdate
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/app__controllers__unified_agent_config__AgentConfigResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    app__controllers__unified_agent_config__AgentConfigUpdate:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 1
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        status:
          anyOf:
            - $ref: '#/components/schemas/AgentStatus'
            - type: 'null'
        model_provider:
          anyOf:
            - type: string
              pattern: >-
                ^(openai|azure_openai|anthropic|google|groq|cerebras|deepseek|xai|mistral|perplexity|together|fireworks|cohere|amazon_bedrock|alibaba_qwen|ibm_watsonx|meta_llama|anyscale|openrouter|deepinfra|custom_llm)$
            - type: 'null'
          title: Model Provider
        model_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Name
        temperature:
          anyOf:
            - type: number
              maximum: 1
              minimum: 0
            - type: 'null'
          title: Temperature
        max_tokens:
          anyOf:
            - type: integer
              maximum: 1000
              minimum: 50
            - type: 'null'
          title: Max Tokens
        first_message_mode:
          anyOf:
            - type: boolean
            - type: 'null'
          title: First Message Mode
        first_message_script:
          anyOf:
            - type: string
            - type: 'null'
          title: First Message Script
        voice_provider:
          anyOf:
            - type: string
              pattern: ^(elevenlabs|cartesia|azure|livekit_inference)$
            - type: 'null'
          title: Voice Provider
        voice_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Voice Id
        background_sound_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Background Sound Url
        input_min_characters:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 10
            - type: 'null'
          title: Input Min Characters
        transcriber_provider:
          anyOf:
            - type: string
              pattern: ^(deepgram|google|azure|assemblyai|livekit_inference)$
            - type: 'null'
          title: Transcriber Provider
        transcriber_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Transcriber Model
        background_denoising:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Background Denoising
        confidence_threshold:
          anyOf:
            - type: number
              maximum: 1
              minimum: 0
            - type: 'null'
          title: Confidence Threshold
        wait_seconds:
          anyOf:
            - type: number
              maximum: 1
              minimum: 0.1
            - type: 'null'
          title: Wait Seconds
        smart_endpointing:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Smart Endpointing
        interruption_words:
          anyOf:
            - type: integer
              maximum: 10
              minimum: 0
            - type: 'null'
          title: Interruption Words
        punctuation_boundary_ms:
          anyOf:
            - type: integer
              maximum: 500
              minimum: 50
            - type: 'null'
          title: Punctuation Boundary Ms
        no_punctuation_boundary_ms:
          anyOf:
            - type: integer
              maximum: 3000
              minimum: 800
            - type: 'null'
          title: No Punctuation Boundary Ms
        silence_timeout_seconds:
          anyOf:
            - type: integer
              maximum: 120
              minimum: 10
            - type: 'null'
          title: Silence Timeout Seconds
        max_duration_seconds:
          anyOf:
            - type: integer
              maximum: 1800
              minimum: 180
            - type: 'null'
          title: Max Duration Seconds
        idle_messages_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Idle Messages Enabled
        max_idle_messages:
          anyOf:
            - type: integer
              maximum: 10
              minimum: 1
            - type: 'null'
          title: Max Idle Messages
        idle_timeout_seconds:
          anyOf:
            - type: number
              maximum: 60
              minimum: 5
            - type: 'null'
          title: Idle Timeout Seconds
        analysis_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Analysis Prompt
        analysis_timeout_sec:
          anyOf:
            - type: integer
              maximum: 60
              minimum: 1
            - type: 'null'
          title: Analysis Timeout Sec
        min_messages_for_analysis:
          anyOf:
            - type: integer
              maximum: 10
              minimum: 0
            - type: 'null'
          title: Min Messages For Analysis
        voicemail_detection_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Voicemail Detection Enabled
        voicemail_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Voicemail Message
        end_call_message:
          anyOf:
            - type: string
            - type: 'null'
          title: End Call Message
        keypad_input_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Keypad Input Enabled
        keypad_timeout_seconds:
          anyOf:
            - type: integer
              maximum: 6
              minimum: 1
            - type: 'null'
          title: Keypad Timeout Seconds
        keypad_delimiters:
          anyOf:
            - type: string
              pattern: ^[#*]+$
            - type: 'null'
          title: Keypad Delimiters
        workflow_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Workflow Id
        tools:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Tools
        default_user_lang:
          anyOf:
            - type: string
              maxLength: 10
              minLength: 2
            - type: 'null'
          title: Default User Lang
        thinking_lang:
          anyOf:
            - type: string
              maxLength: 10
              minLength: 2
            - type: 'null'
          title: Thinking Lang
        interruptions_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Interruptions Enabled
        escalation_policy:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Escalation Policy
      type: object
      title: AgentConfigUpdate
      description: Comprehensive agent configuration update model.
    app__controllers__unified_agent_config__AgentConfigResponse:
      properties:
        agent_id:
          type: string
          format: uuid
          title: Agent Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        status:
          type: string
          title: Status
        model_settings:
          additionalProperties: true
          type: object
          title: Model Settings
        voice_config:
          additionalProperties: true
          type: object
          title: Voice Config
        transcriber_config:
          additionalProperties: true
          type: object
          title: Transcriber Config
        conversation_control:
          additionalProperties: true
          type: object
          title: Conversation Control
        call_timeout:
          additionalProperties: true
          type: object
          title: Call Timeout
        analysis_config:
          additionalProperties: true
          type: object
          title: Analysis Config
        voicemail_config:
          additionalProperties: true
          type: object
          title: Voicemail Config
        keypad_config:
          additionalProperties: true
          type: object
          title: Keypad Config
        workflow:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Workflow
        tools:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Tools
        language_config:
          additionalProperties: true
          type: object
          title: Language Config
        advanced_config:
          additionalProperties: true
          type: object
          title: Advanced Config
        external_integration:
          additionalProperties: true
          type: object
          title: External Integration
        created_at:
          type: string
          title: Created At
        updated_at:
          type: string
          title: Updated At
      type: object
      required:
        - agent_id
        - name
        - description
        - status
        - model_settings
        - voice_config
        - transcriber_config
        - conversation_control
        - call_timeout
        - analysis_config
        - voicemail_config
        - keypad_config
        - tools
        - language_config
        - advanced_config
        - external_integration
        - created_at
        - updated_at
      title: AgentConfigResponse
      description: Comprehensive agent configuration response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AgentStatus:
      type: string
      enum:
        - draft
        - active
        - paused
      title: AgentStatus
      description: Agent status enumeration.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````